View Issue Details

IDProjectCategoryView StatusLast Update
0001821SymmetricDSImprovementpublic2014-07-29 16:50
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.3 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001821: Add the ability, through configuration, to specify a system commands to dump and load a database's schema during initial load.
DescriptionAdd the ability, through configuration, to specify a system commands to dump and load a database's schema during initial load.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c1f2380f

2014-07-20 10:19:54

chenson

Details Diff
0001821: Add the ability, through configuration, to specify a system commands to dump and load a database's schema during initial load.
0001821
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
add - symmetric-core/src/main/resources/load-schema-at-target.bsh Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/util/StreamGobbler.java Diff File

Issue History

Date Modified Username Field Change
2014-07-20 10:17 chenson New Issue
2014-07-20 10:17 chenson Status new => assigned
2014-07-20 10:17 chenson Assigned To => chenson
2014-07-20 10:20 chenson Status assigned => resolved
2014-07-20 10:20 chenson Fixed in Version => 3.6.3
2014-07-20 10:20 chenson Resolution open => fixed
2014-07-20 11:00 chenson Changeset attached => SymmetricDS trunk r8484
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c1f2380f